#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-1r3afDJm3ScKxjERRvT3Wf
key:                  lsp-1.4.0.0-1r3afDJm3ScKxjERRvT3Wf
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  1527a22cdfc37f14c2d9ccdc7cb99a92
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-D1malhsGiQWFSSDSZWgZ3N:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-D1malhsGiQWFSSDSZWgZ3N:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-D1malhsGiQWFSSDSZWgZ3N:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-D1malhsGiQWFSSDSZWgZ3N:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-1r3afDJm3ScKxjERRvT3Wf
depends:
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA
    async-2.2.5-FpYc2RUKqMh7VEhubouhdj
    attoparsec-0.14.4-K2NonRChA499lXmUebatlk base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 exceptions-0.10.4
    hashable-1.4.4.0-LbPl9rwTnDUL4mxyCHHqh0
    hslogger-1.3.1.1-3f0aqQio8hA154OShRU23p
    lens-5.2.3-73GsVHKL59ZCRbUuAUvU77
    lsp-types-1.4.0.1-D1malhsGiQWFSSDSZWgZ3N mtl-2.2.2
    network-uri-2.6.4.2-CYXoeKD4u6J1uAnZu0mkqk
    random-1.2.1.2-3sZ6vUsFrno84Of1YV0z09
    scientific-0.3.7.0-AhGrLmDpKSMIIBlCI9itHR
    sorted-list-0.2.2.0-9kReY0sRSAQAjZ9nTUeLUL stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4Y4A6Wn35BzvWquDAxs4Y
    uuid-1.3.15-Lthb0rhzKIw7roxXf3b299

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

